<?php

// generic strings
define ("STR_EDIT"            ,   "Modifica");
define ("STR_ADD"             ,   "Aggiungi");
define ("STR_TITLE"           ,   "Titolo");
define ("STR_NEWFILE"         ,   "Nuovo File");
define ("STR_DESCR"           ,   "Descrizione");

// error strings
define ("STR_ERR_PATH"        ,   "Due sezioni avranno lo stesso percorso:");
define ("STR_ERR_FIELD"       ,   "Ci sono campi vuoti");
define ("STR_ERR_EXT"         ,   "Il file deve avere estensione");
define ("STR_ERR_THUMB"       ,   "Non &egrave; possibile generare la thumbnail");
define ("STR_ERR_SAVE"        ,   "Salvataggio fallito o incompleto");

// buttons strings
define ("STR_CMD_ADDSECTION"  ,   "Aggiungi Sezione");
define ("STR_CMD_SAVE"        ,   "Salva");
define ("STR_CMD_REVERT"      ,   "Torna all'ultimo salvataggio");
define ("STR_CMD_MOVEHERE"    ,   "Sposta Qui");
define ("STR_CMD_SERVERDEL"   ,   "Cancella dal server");
define ("STR_SHOWCOVER"       ,   "Mostra la copertina tra le immagini della sezione");
define ("STR_USE_AS_COVER"    ,   "Usa come copertina");

function print_help($page){

	echo "<div class='warning'>";
	
	switch ($page){

	case "fix":
		echo "In questa pagina &egrave; possibile modificare il contenuto di alcuni file fissi<br>\n";
		echo "Per sostituire i file usare il campo <b>Nuovo file</b><br>\n";
		echo "Per eliminare il file dal server senza sostituirlo usare <b>Cancella dal server</b><br>\n";		
		echo "La dimensione massima dei file caricabili &egrave; : <b>".ini_get( "upload_max_filesize")."b</b><br>\n";
		echo "<b>Attenzione</b>: Le modifiche saranno effettive dopo il salvataggio<br>\n";
		echo "In funzione della velocit&agrave; di connessione il salvataggio pu&ograve; richiedere una lunga attesa<br>\n";
		break;
	case "tree":
		echo "In questa pagina &egrave; possibile modificare la struttura delle sezioni<br>\n";
		echo "Per annullare/rifare usare i tasti <b>indietro/avanti</b> del browser<br>\n";
		echo "<ul><li><span class='button'>X</span> = Elimina l&#39;elemento\n";
		echo "<li><span class='button'>V</span> = Sposta verso il basso, scambia di posto con l&#39;elemento successivo\n";
		echo "<li><span class='button'>".STR_ADD."</span> <span class='button'>".STR_CMD_ADDSECTION."</span> = Aggiunge una sezione/sottosezione\n";
		echo "<li><span class='button'>".STR_CMD_MOVEHERE."</span> = Sposta l&#39;elemento selezionato (<input type='radio' checked>) in questa sezione (*)<br>";
		echo "<li><span class='button'>".STR_EDIT."</span> = Modifica il contenuto della sezione (*)\n";
		echo "<li>(*)<small>disponibile solo dopo il salvataggio</small></ul>\n";
		echo "Il numero tra parentesi indica le fotografie contenute<br>\n";
		//echo "Il contenuto delle sezioni aventi sottosezioni &egrave automatico (&egrave l&#39;indice)<br>\n";
		echo "<b>Attenzione</b>: Le modifiche saranno effettive dopo il salvataggio<br>\n";
		break;
	case "opt":
		echo "In questa pagina &egrave; possibile modificare il contenuto della lista ".$_GET['optname']."<br>\n";
		echo "Per annullare/rifare usare i tasti <b>indietro/avanti</b> del browser<br>\n";
		echo "<ul><li><span class='button'>X</span> = Elimina l&#39;elemento\n";
		echo "<li><span class='button'>V</span> = Sposta verso il basso</ul>\n";
		echo "<b>Attenzione</b>: Le modifiche saranno effettive dopo il salvataggio<br>\n";
		break;
	case "section":
		echo "In questa pagina &egrave; possibile modificare il contenuto delle sezioni<br>\n";
		echo "Per annullare/rifare usare i tasti <b>indietro/avanti</b> del browser<br>\n";
		echo "Per sostituire le immagini usare il campo <b>Nuovo file</b><br>\n";
		echo "Le dimensioni dell&#39;immagine non vengono modificate<br>\n";
		echo "Cliccando sull&#39;immagine viene mostrata nelle dimensioni reali<br>\n";
		echo "<ul><li><span class='button'>X</span> = Elimina l&#39;elemento\n";
		echo "<li><span class='button'>V</span> = Sposta verso il basso</ul>\n";
		echo "La dimensione massima dei file caricabili &egrave; : <b>".ini_get( "upload_max_filesize")."b</b><br>\n";
		echo "<b>Attenzione</b>: Le modifiche saranno effettive dopo il salvataggio<br>\n";
		echo "In funzione della velocit&agrave; di connessione il salvataggio pu&ograve; richiedere una lunga attesa<br>\n";
		break;
	}
	echo "</div>";
}

// print the html links menu
function print_header_with_menu($curr_page)
{
	global $optsection;
	
	echo "<h2>Editing dei contenuti - Modifica $curr_page</h2>\n";
	echo "<div class='nav'>";

	if ("Menu"!=$curr_page) echo "<a  class='button' href='index.php'>Modifica Menu</a>\n";
	else echo "<span class='inactivebutton'>Modifica Menu</span>\n";
	
	foreach ($optsection as $optname)
		if ($optname!=$curr_page) 
			echo "<a class='button' href='index.php?page=optedit.php&optname=$optname'>Modifica $optname</a>\n";
		else echo "<span class='inactivebutton'>Modifica $optname</span>\n";
	if (FX_FILES_SECTION!="0") 
		if (FX_FILES_SECTION!=$curr_page) 	
			echo "<a class='button' href='index.php?page=fixedit.php'>Modifica ".FX_FILES_SECTION."</a>\n";
		else echo "<span class='inactivebutton'>Modifica ".FX_FILES_SECTION."</span>\n";
		
	echo "</div>";
}

function print_error($err_str)
{
	if ($err_str) echo "<div class='error'>Errore: ".$err_str."</div>\n";
}

function format_stat_info($statary)
{
	if ($statary)
		return "File attuale ".return_notation_bytes($statary[7],2)."b modificato il ".date("d/m/y",$statary[9])." alle ".date("H:i",$statary[9])." (ora del server)";
	else return "File attuale: Nessuno";
}

?>


